package com.yonge.cooleshow.admin.dao;

import com.yonge.cooleshow.admin.dto.HomeStatistical;
import com.yonge.cooleshow.admin.dto.PmsProductQueryParam;
import com.yonge.cooleshow.admin.dto.PmsProductResult;
import com.yonge.cooleshow.mbg.model.PmsProduct;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 商品管理自定义Dao
 * Created by macro on 2018/4/26.
 */
public interface PmsProductDao {
    /**
     * 获取商品编辑信息
     */
    PmsProductResult getUpdateInfo(@Param("id") Long id);

    HomeStatistical selectLowStockCount();

    HomeStatistical selectProductShowStatusCount();

    List<PmsProduct> list(@Param("param") PmsProductQueryParam productQueryParam);
}
